For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get Contacts

Get Contacts

GET /api/v1/contacts

Retrieves a list of contacts. Calling with no parameters returns a paginated list of all contacts in your Monolith database. Use the uuid query param to get details for one item.

Query Params

Name
Type
Description

uuid

string

Monolith unique identifier for the contact. Returns one contact.

search

string

Filter contacts by a search term (name, email, organization...).

created_on

ISO Date

Date that the contact was entered into Monolith.

created_before

ISO Date

Contacts that were created before this Date.

created_after

ISO Date

Contacts that were created after this Date.

page

integer

Page number for paginated results.

pageSize

integer

Number of results per page.

Response

{
  "data": [ { "uuid": "wM7K2pQrSt9vXyZbN3hLmK", "name": "Jane Doe", "email": "jane@example.com" } ],
  "total": 1,
  "pageCount": 1,
  "currentPage": 1,
  "nextPage": null,
  "perPage": 10
}

Last updated

Was this helpful?